Skip to content

Get venues ​

GET
/v1/venues

Get venues

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
country

Country in iso format

Example"NLD"
venue_type

Enum: racetrack, stadium, other. Operators, e.g. eq:racetrack, ne:racetrack, in:[racetrack,other], not_in:[racetrack,other]

popular

Search for popular stadiums

Type
boolean
Exampletrue
venue_name

Venue name

Type
string
Example"Anfield"
city

Search by city name

Type
string
Example"Liverpool"
slug

Seo friendly alternative to uuid

Type
string
venue_id

Filter on venue ID. Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_vnx, ne:2c2a9dc47e794e0ba88a6917e2b9047b_vnx, in:[2c2a9dc47e794e0ba88a6917e2b9047b_vnx,7d881550d5ba4cb2b3faca11a9b1695d_vnx], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_vnx,7d881550d5ba4cb2b3faca11a9b1695d_vnx]

team_id

Filter venues by team ID (home or away team). Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_tms, ne:2c2a9dc47e794e0ba88a6917e2b9047b_tms, in:[2c2a9dc47e794e0ba88a6917e2b9047b_tms,7d881550d5ba4cb2b3faca11a9b1695d_tms], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_tms,7d881550d5ba4cb2b3faca11a9b1695d_tms]

event_stopdate

Only returns venues which are linked to events with a stopdate matching this criteria. Operators, e.g. eq:2026-01-01, ne:2026-01-01, gt:2026-01-01, ge:2026-01-01, lt:2026-01-01, le:2026-01-01, between:2026-01-01,2026-02-01

Responses​

OK

application/json
JSON
{
  
"venues": [
  
  
{
  
  
  
"venue_id": "7d881550d5ba4cb2b3faca11a9b1695d_vnx",
  
  
  
"official_name": "Anfield",
  
  
  
"country": "GBR",
  
  
  
"popular_stadium": true,
  
  
  
"venue_type": "stadium",
  
  
  
"capacity": 53394,
  
  
  
"city": "Liverpool",
  
  
  
"province": "Merseyside",
  
  
  
"latitude": "53.430819",
  
  
  
"longitude": "-2.960827",
  
  
  
"number": "1",
  
  
  
"postalcode": "L4 0TH",
  
  
  
"streetname": "Anfield Road",
  
  
  
"opened": 1892,
  
  
  
"track_length": 4000,
  
  
  
"wikipedia_slug": "Anfield",
  
  
  
"wikipedia_snippet": "Anfield is a football stadium in Anfield, Liverpool, Merseyside, England...",
  
  
  
"slug": "anfield",
  
  
  
"seating_setup": "Standard"
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​